### Type parameters

- #### A

### Hierarchy

- BracketPair<A>
  - ExtraPair

## Index

### Constructors

- constructor

### Properties

- action
- condition
- extra

## Constructors

### constructor

- new ExtraPair(condition: Optional<A>, action: Optional<A>, extra: boolean): ExtraPair

- Overrides BracketPair.constructor

  - Defined in models/rule.ts:35

  #### Parameters

  - ##### condition: Optional<A>

  - ##### action: Optional<A>

  - ##### extra: boolean

  #### Returns ExtraPair

## Properties

### action

action: Optional<A>

Inherited from BracketPair.action

- Defined in models/rule.ts:27

### condition

condition: Optional<A>

Inherited from BracketPair.condition

- Defined in models/rule.ts:26

### extra

extra: boolean

- Defined in models/rule.ts:35

Generated using TypeDoc